<kt-notice [icon]="'flaticon-warning kt-font-primary'">
	For more info please check the components's official demos & documentation 
	<a class="kt-link" href="https://material.angular.io/components/radio/overview" target="_blank">demos & documentation</a>
</kt-notice>

<div class="row">
	<div class="col-xl-6">
		<kt-material-preview [viewItem]="exampleBasicRadios">
			<div class="kt-section">
				<span class="kt-section__sub">
					<code>mat-radio</code> provides the same functionality as a native
					<code>&lt;input type="radio"&gt;</code> enhanced with Material Design styling and animations.
				</span>
				<div class="kt-separator kt-separator--dashed"></div>
				<div class="example-container">
					<mat-radio-group>
						<mat-radio-button  value="Alabama">Alabama</mat-radio-button>
						<mat-radio-button  value="Alaska">Alaska</mat-radio-button>
						<mat-radio-button  value="Florida">Florida</mat-radio-button>
						<mat-radio-button  value="Illinois">Illinois</mat-radio-button>
						<mat-radio-button  value="Kansas">Kansas</mat-radio-button>
					</mat-radio-group>
				</div>
			</div>
		</kt-material-preview>

		<kt-material-preview [viewItem]="exampleDisabledRadios">
			<div class="kt-section">
				<span class="kt-section__sub">
					<code>@Input() disabled: boolean</code> Whether the radio group is disabled
				</span>
				<div class="kt-separator kt-separator--dashed"></div>
				<div class="example-container">
					<mat-radio-group disabled="true">
						<mat-radio-button  value="Alabama">Alabama</mat-radio-button>
						<mat-radio-button  value="Alaska">Alaska</mat-radio-button>
						<mat-radio-button  value="Florida">Florida</mat-radio-button>
						<mat-radio-button  value="Illinois">Illinois</mat-radio-button>
						<mat-radio-button  value="Kansas">Kansas</mat-radio-button>
					</mat-radio-group>
				</div>
			</div>
		</kt-material-preview>

		<kt-material-preview [viewItem]="exmapleLabelPosition">
			<div class="kt-section">
				<span class="kt-section__sub">
					<code>@Input() labelPosition: 'before' | 'after'</code> Whether the labels should appear after or before the radio-buttons. Defaults to 'after'
				</span>
				<div class="kt-separator kt-separator--dashed"></div>
				<div class="example-container">
					<mat-radio-group [labelPosition]="labelPosition">
						<mat-radio-button  value="Alabama">Alabama</mat-radio-button>
						<mat-radio-button  value="Alaska">Alaska</mat-radio-button>
						<mat-radio-button  value="Florida">Florida</mat-radio-button>
						<mat-radio-button  value="Illinois">Illinois</mat-radio-button>
						<mat-radio-button  value="Kansas">Kansas</mat-radio-button>
					</mat-radio-group>
					<div class="kt-separator kt-separator--dashed"></div>
					<mat-slide-toggle (change)="changeLablesPositions()">Slide labels position</mat-slide-toggle>
				</div>
			</div>
		</kt-material-preview>
	</div>
	<div class="col-xl-6">
		<kt-material-preview [viewItem]="exampleRadiosWithNgModel">
			<div class="kt-section">
				<div class="example-container">
					<mat-radio-group class="example-radio-group" [(ngModel)]="favoriteSeason">
						<mat-radio-button class="example-radio-button" *ngFor="let season of seasons" [value]="season">
							{{season}}
						</mat-radio-button>
					</mat-radio-group>
					<div class="kt-separator kt-separator--dashed"></div>
					<div class="example-selected-value">Your favorite season is: <mark *ngIf="favoriteSeason">{{favoriteSeason}}</mark></div>
				</div>
			</div>
		</kt-material-preview>

		<kt-material-preview [viewItem]="exampleChangeEvent">
			<div class="kt-section">
				<span class="kt-section__sub">
					<code>@Output() change: EventEmitter&lt;MatRadioChange&gt;</code> 
						Event emitted when the group value changes. Change events are only emitted when the value changes due to user interaction with a radio button (the same behavior as 
						<code>&lt;input type-"radio"&gt;</code>).
				</span>
				<div class="kt-separator kt-separator--dashed"></div>
				<div class="example-container">
					<mat-radio-group (change)="changeState()" [(ngModel)]="selectedState">
						<mat-radio-button  value="Alabama">Alabama</mat-radio-button>
						<mat-radio-button  value="Alaska">Alaska</mat-radio-button>
						<mat-radio-button  value="Florida">Florida</mat-radio-button>
						<mat-radio-button  value="Illinois">Illinois</mat-radio-button>
					</mat-radio-group>
					<div class="kt-separator kt-separator--dashed" *ngIf="state"></div>
					<span *ngIf="state">Welcome to <mark>{{ state }}</mark>!</span>
				</div>
			</div>
		</kt-material-preview>
	</div>
</div>
